Skip to main content
GET
/
api
/
v1
/
wallet
/
passkeys
List user passkeys
curl --request GET \
  --url https://api.hevn.finance/api/v1/wallet/passkeys \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "passkeyId": "<string>",
    "passkeyPk": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "deviceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "deviceName": "<string>",
    "deviceType": "<string>",
    "lastLoginIp": "<string>",
    "lastUsedAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Response

Successful Response

id
string<uuid>
required
passkeyId
string
required
passkeyPk
string
required
createdAt
string<date-time>
required
deviceId
string<uuid> | null
deviceName
string | null
deviceType
string | null
pkType
enum<string> | null

Passkey authenticator transport type.

Available options:
ble,
hybrid,
internal,
nfc,
usb
lastLoginIp
string | null
lastUsedAt
string<date-time> | null